/*jshint node:true, indent:2, curly:false, eqeqeq:true, immed:true,
latedef:true, newcap:true, noarg:true, regexp:true, undef:true,
strict:true, trailing:true, white:true */
/*global XT:true */

// Place strings you want to localize here.  In your app, use the key and
// localize it using "key string".loc().  HINT: For your key names, use the
// english string with an underscore in front.  This way you can still see
// how your UI will look and you'll notice right away when something needs a
// localized string added to this file!

(function () {
  "use strict";

  var lang = XT.stringsFor("en_US", {

    // ********
    // Models
    // ********

    "_analysis": "Analysis",
    "_all": "All",
    "_annualy": "Annually",
    "_asset": "Asset",
    "_assigned": "Assigned",
    "_automatic": "Automatic",
    "_automaticOverride": "Override Allowed",
    "_bankAccount": "Bank Account",
    "_bankAccounts": "Bank Accounts",
    "_bankAccountType": "Account Type",
    "_bankName": "Bank Name",
    "_biWeekly": "Bi-Weekly",
    "_cancelled": "Cancelled",
    "_closed": "Closed",
    "_commission": "Commission",
    "_completed": "Completed",
    "_concept": "Concept",
    "_confirmed": "Confirmed",
    "_daily": "Daily",
    "_database": "Database",
    "_databaseInformation": "Database Information",
    "_effectiveDate": "Effective Date",
    "_equity": "Equity",
    "_expense": "Expense",
    "_expirationDate": "Expiration Date",
    "_exportVcf": "Export VCF",
    "_feedback": "Feedback",
    "_hourly": "Hourly",
    "_individual": "Individual",
    "_information": "Information",
    "_inProcess": "In Process",
    "_liability": "Liability",
    "_manual": "Manual",
    "_monthly": "Monthly",
    "_new": "New",
    "_organization": "Organization",
    "_resolved": "Resolved",
    "_revenue": "Revenue",
    "_salaried": "Salaried",
    "_systemConfiguration": "System Configuration",
    "_weekly": "Weekly",

    // ********
    // Labels
    // ********
    "_above": "Above",
    "_abbreviation": "Abbreviation",
    "_abbreviationLong": "Abbreviation Long",
    "_abbreviationShort": "Abbreviation Short",
    "_account": "Account",
    "_accounting": "Accounting",
    "_accountNumber": "Account Number",
    "_accountNumberGeneration": "Account Number Generation",
    "_accountType": "Account Type",
    "_accounts": "Accounts",
    "_active": "Active",
    "_activities": "Activities",
    "_actual": "Actual",
    "_actualClose": "Actual Close",
    "_actualDate": "Actual Date",
    "_actualExpenses": "Actual Expenses",
    "_actualExpensesTotal": "Total Expenses Actual",
    "_actualHours": "Actual Hours",
    "_actualHoursTotal": "Total Hours Actual",
    "_additional": "Additional",
    "_address": "Address",
    "_address1": "Address1",
    "_address2": "Address2",
    "_address3": "Address3",
    "_addressCharacteristic": "Address Characteristic",
    "_addressComment": "Address Comment",
    "_addresses": "Addresses",
    "_advanced" : "Advanced",
    "_agent": "Agent",
    "_alarms": "Alarms",
    "_allocate": "Allocate",
    "_allocatedCredit": "Allocated Credit",
    "_allowableItems": "Allowable Items",
    "_altEmphasisColor": "Alt Emphasis Color",
    "_alternate": "Alternate",
    "_alternateAddresses": "Alternate Addresses",
    "_amEx": "AmEx",
    "_amount": "Amount",
    "_and": "and",
    "_array": "Array",
    "_ascending": "Ascending",
    "_assignDate": "Assign Date",
    "_assignedTo": "Assigned To",
    "_attach": "Attach",
    "_authorize": "Authorize",
    "_averageCost": "Average Cost",
    "_backorder": "Accepts Backorders",
    "_balance": "Balance",
    "_balanceExpensesTotal": "Balance Expenses Total",
    "_balanceExpenses": "Balance Expenses",
    "_balanceHours": "Balance Hours",
    "_balanceForward": "Balance Forward",
    "_balanceHoursTotal": "Balance Hours Total",
    "_balanceMethod": "Balance Method",
    "_basis": "Basis",
    "_bcc": "Bcc",
    "_billed": "Billed",
    "_billingContact": "Billing Contact",
    "_billingRate": "Billing Rate",
    "_billTo": "Bill To",
    "_billtoAddress1": "Bill To Address",
    "_billtoName": "Bill To Name",
    "_blanketPurchaseOrders": "Uses Blanket Purchase Orders",
    "_body": "Body",
    "_boolean": "Boolean",
    "_breeder": "Breeder",
    "_budgeted": "Budgeted",
    "_budgetedExpenses": "Budgeted Expenses",
    "_budgetedExpensesTotal": "Total Expenses Budgeted",
    "_budgetedHours": "Budgeted Hours",
    "_budgetedHoursTotal": "Total Hours Budgeted",
    "_byProduct": "By Product",
    "_canCreateUsers": "Can Create Users",
    "_cash": "Cash",
    "_category": "Category",
    "_cc": "Cc",
    "_ccv": "CCV",
    "_changeAll?": "Would you like to update the address across them all?",
    "_changeLog": "Change Log",
    "_characteristic": "Characteristic",
    "_characteristicType": "Characteristic Type",
    "_characteristicOption": "Characteristic Option",
    "_checking": "Checking",
    "_class": "Class",
    "_classCode": "Class Code",
    "_classCodes": "Class Codes",
    "_close": "Close",
    "_closeDate": "Close Date",
    "_code": "Code",
    "_configure": "Configure",
    "_commentType": "Comment Type",
    "_commentsEditable": "Comments Editable",
    "_company": "Company",
    "_competitor": "Competitor",
    "_completeDate": "Complete Date",
    "_completionActions": "Completion Actions",
    "_configureSO": "Configure Sales Orders",
    "_contact": "Contact",
    "_contactRelations": "Contacts",
    "_contacts": "Contacts",
    "_coProduct": "Co-Product",
    "_copyToShipTo": "Ship To",
    "_costCategories": "Cost Categories",
    "_costCategory": "Cost Category",
    "_costMethod": "Cost Method",
    "_costing": "Costing",
    "_costs": "Costs",
    "_county": "County",
    "_correspondenceContact": "Correspondence Contact",
    "_countries": "Countries",
    "_created": "Created",
    "_createdBy": "Created By",
    "_credit": "Credit",
    "_creditCard": "Credit Card",
    "_creditCards": "Credit Cards",
    "_creditCheck": "Credit Check",
    "_creditHolding": "On Credit Holding",
    "_creditLimit": "Credit Limit",
    "_creditMemo": "Credit Memo",
    "_creditRating": "Credit Rating",
    "_creditStatus": "Credit Status",
    "_creditWarning": "On Credit Warning",
    "_crm": "CRM",
    "_cRM": "CRM",
    "_currencies": "Currencies",
    "_currency": "Currency",
    "_currencyAbbreviation": "Currency Abbreviation",
    "_currencyName": "Currency Name",
    "_currencyNumber": "Currency Number",
    "_currencySymbol": "Currency Symbol",
    "_custPO": "Customer PO",
    "_customerPartNumber": "Customer P/N",
    "_custPrice": "Cust. Price",
    "_customer": "Customer",
    "_customerGroup": "Customer Groups",
    "_customerType": "Customer Type",
    "_customerTypePattern": "Customer Type (Pattern)",
    "_customerTypes": "Customer Types",
    "_customerPrice": "Customer Price",
    "_customers": "Customers",
    "_customerProspect": "Customer / Prospect",
    "_data": "Data",
    "_dataState": "Data State",
    "_date": "Date",
    "_dateRange": "Date Range",
    "_days": "Days",
    "_deactivate": "Deactivate",
    "_debitMemo": "Debit Memo",
    "_default": "Default",
    "_defaultHoldType": "Default Hold Type",
    "_defaults": "Defaults",
    "_defaultTaxZone": "Default Tax Zone",
    "_deferred": "Deferred",
    "_deferredActions": "Deferred Actions",
    "_descending": "Descending",
    "_detach": "Detach",
    "_detail": "Detail",
    "_description": "Description",
    "_description1": "Description1",
    "_description2": "Description2",
    "_discount": "Discount",
    "_discountDay": "Discount Day",
    "_discountDays": "Discount Days",
    "_discover": "Discover",
    "_disableExport": "Disable Export and Print",
    "_document": "Document",
    "_documentChangedStatus": "The status of the following {document} has been changed to {status}",
    "_documentCreatedStatus": "The following {document} has been created with status {status}",
    "_documentCreated": "The following {document} has been CREATED",
    "_documentDate": "Document Date",
    "_documentNewComment": "A new COMMENT has been added to the following {document}",
    "_documentNumber": "Document #",
    "_documentType": "Document Type",
    "_documentUpdated": "The following {document} has been UPDATED",
    "_due": "Due",
    "_dueDate": "Due Date",
    "_dueDay": "Due Day",
    "_dueDays": "Due Days",
    "_effective": "Effective",
    "_email": "Email",
    "_emailAddresses": "Email Addresses",
    "_emailProfile": "Email Profile",
    "_emphasisColor": "Emphasis Color",
    "_employee": "Employee",
    "_employeeGroup": "Employee Group",
    "_employeeGroups": "Employee Groups",
    "_employees": "Employees",
    "_end": "End",
    "_endBalance": "End Balance",
    "_ending": "Ending",
    "_endingLabel": "Ending Label",
    "_enterNew": "Enter New",
    "_equals": "Equals",
    "_error": "Error",
    "_errorColor": "Error Color",
    "_eventRecipient": "Event Recipient",
    "_excludeProspects": "Exclude Prospects",
    "_expenseCategories": "Expense Categories",
    "_expenseCategory": "Expense Category",
    "_expenses": "Expenses",
    "_expiredColor": "Expired Color",
    "_expires": "Expires",
    "_expireDate": "Expire Date",
    "_exportContact": "Export Contact",
    "_extended": "Extended",
    "_extensions": "Extensions",
    "_extPrice": "Ext Price",
    "_extendedPrice": "Extended Price",
    "_extendedDescription": "Extended Description",
    "_extendedPriceScale": "Extended Price Scale",
    "_externalReference": "External Reference",
    "_delivery": "Delivery",
    "_department": "Department",
    "_departments": "Departments",
    "_dependencies": "Dependencies",
    "_fax": "Fax",
    "_file": "File",
    "_files": "Files",
    "_filter": "Filter",
    "_filterBy": "Filter By",
    "_financials": "Financials",
    "_firstName": "First Name",
    "_fiveYears": "Five Years",
    "_flag": "Flag",
    "_fob": "F.O.B.",
    "_for": "For",
    "_fractional": "Fractional",
    "_freightClass": "Freight Class",
    "_frequency": "Frequency",
    "_freeFormBill": "Allow Free-Form Bill-To",
    "_freeFormShip": "Allow Free-Form Ship-Tos",
    "_freight": "Freight",
    "_freightWeight": "Freight Weight",
    "_from": "From",
    "_fromDate": "From Date",
    "_futureColor": "Future Color",
    "_gateway": "Gateway",
    "_goodStanding": "In Good Standing",
    "_graceDays": "Grace Days",
    "_grantedPrivileges": "Granted Privileges",
    "_grantedUserAccountRoles": "Granted User Account Roles",
    "_groupSequence": "Group Sequence",
    "_groups": "Groups",
    "_header": "Header",
    "_history": "History",
    "_holdType": "Hold Type",
    "_home": "Home",
    "_honorific": "Honorific",
    "_honorifics": "Honorifics",
    "_hours": "Hours",
    "_hrs": "hrs.",
    "_image": "Image",
    "_images": "Images",
    "_inactive": "Inactive",
    "_incident": "Incident",
    "_incidentCategories": "Incident Categories",
    "_incidentCategory": "Incident Category",
    "_incidentEmailProfile": "Incident Email Profile",
    "_incidentEmailProfiles": "Incident Email",
    "_incidentHistory": "Incident History",
    "_incidentRelations": "Incidents",
    "_incidentResolution": "Incident Resolution",
    "_incidentResolutions": "Incident Resolutions",
    "_incidents": "Incidents",
    "_incidentSeverities": "Incident Severities",
    "_incidentSeverity": "Incident Severity",
    "_incidentStatus": "Status",
    "_incoterms": "Incoterms",
    "_inventoryHistory": "Inventory History",
    "_invoice": "Invoice",
    "_invoiceDate": "Invoice Date",
    "_invoiceLine": "Invoice Line",
    "_invoices": "Invoices",
    "_initials": "Initials",
    "_inventoryUnit": "Inventory Unit",
    "_isActive": "Active",
    "_isAddresses": "Addresses",
    "_isAgent": "Agent",
    "_isBase": "Base",
    "_isContacts": "Contacts",
    "_isDebit": "Debit",
    "_isDefault": "Default",
    "_isDeleted": "Deleted",
    "_isEmployees": "Employees",
    "_isEvent": "Event",
    "_isFractional": "Fractional",
    "_isIncidents": "Incidents",
    "_isInvoices": "Invoices",
    "_isItemWeight": "Item Weight",
    "_isItems": "Items",
    "_isMessage": "Message",
    "_isMiscellaneous": "Miscellaneous",
    "_isOpportunities": "Opportunities",
    "_isPicklist": "Picklist",
    "_isPosted": "Posted",
    "_isPrinted": "Printed",
    "_isPublic": "Public",
    "_isSold": "Sold",
    "_issueItem": "Issue Item",
    "_isSearchable": "Searchable",
    "_isSystem": "System",
    "_isUsedByBilling": "Used By Billing",
    "_isUsedByPayments": "Used By Payments",
    "_isVoid": "Void",
    "_item": "Item",
    "_itemConversion": "Item Conversion",
    "_itemDescription": "Item Description",
    "_itemNumber": "Item Number",
    "_itemGroup": "Item Group",
    "_itemGroups": "Item Groups",
    "_itemSite": "Item Site",
    "_itemSites": "Item Sites",
    "_itemType": "Item Type",
    "_itemUnitConversion": "Item Unit Conversion",
    "_itemUnitType": "Item Unit Type",
    "_items": "Items",
    "_jobTitle": "Job Title",
    "_kit": "Kit",
    "_language": "Language",
    "_lastName": "Last Name",
    "_latestComment": "Latest Comment",
    "_ledgerAccount": "Ledger Account",
    "_ledgerAccounts": "Ledger Accounts",
    "_limitToList": "Limit to List",
    "_line1": "Line1",
    "_line2": "Line2",
    "_line3": "Line3",
    "_lineItems": "Line Items",
    "_lineNumber": "Line Number",
    "_lines": "Lines",
    "_list" : "List",
    "_listPrice": "List Price",
    "_listPriceDiscount": "List Price Discount",
    "_locale": "Locale",
    "_location": "Location",
    "_login": "Login",
    "_logout": "Logout",
    "_lotSerial": "Lot/Serial",
    "_manager": "Manager",
    "_mainAddress": "Main Address",
    "_manufactured": "Manufactured",
    "_manufacturing": "Manufacturing",
    "_map": "Map",
    "_margin": "Margin",
    "_markup": "Markup",
    "_mask": "Mask",
    "_masterCard": "MasterCard",
    "_match": "Match",
    "_maximum": "Maximum",
    "_menu": "Menu",
    "_messageRecipient": "Message Recipient",
    "_middleName": "Middle Name",
    "_miscCharge": "Misc. Charge",
    "_miscCreditMemo": "Misc. Credit Memo",
    "_miscDebitMemo": "Misc. Debit Memo",
    "_miscellaneous": "Miscellaneous",
    "_module": "Module",
    "_monthExpired": "Expiration Month",
    "_multiple": "Multiple",
    "_mustRemoveDependentExtensions": "Removing Dependent Extensions",
    "_name": "Name",
    "_neither": "Neither",
    "_nextCheckNumber": "Next Check Number",
    "_nextHoldType": "Next Hold Type",
    "_nextNumber": "Next Number",
    "_nextStatus": "Next Status",
    "_noChange": "No Change",
    "_notes": "Notes",
    "_notSold": "Not Sold",
    "_number": "Number",
    "_object": "Object",
    "_offset": "Offset",
    "_onCompletion": "On Completion",
    "_onDeferred": "On Deferred",
    "_openBalance": "Open Balance",
    "_openDate": "Open Date",
    "_openItems": "Open Items",
    "_opportunities": "Opportunities",
    "_opportunity": "Opportunity",
    "_opportunityRelations": "Opportunities",
    "_opportunitySource": "Opportunity Source",
    "_opportunitySources": "Opportunity Sources",
    "_opportunityStage": "Opportunity Stage",
    "_opportunityStages": "Opportunity Stages",
    "_opportunityType": "Opportunity Type",
    "_opportunityTypes": "Opportunity Types",
    "_open": "Open",
    "_options": "Options",
    "_order": "Order",
    "_orderDate": "Order Date",
    "_orderNumber": "Order Number",
    "_orderNotes": "Order Notes",
    "_orderType": "Order Type",
    "_ordered": "Ordered",
    "_other": "Other",
    "_outsideProcess": "Outside Process",
    "_owner": "Owner",
    "_packDate": "Pack Date",
    "_packing": "Packing",
    "_paid": "Paid",
    "_partialShip": "Accepts Partial Shipments",
    "_partner": "Partner",
    "_pattern": "Pattern",
    "_password": "Password",
    "_path": "Path",
    "_pending": "Pending",
    "_percent": "Percent",
    "_period": "Period",
    "_phantom": "Phantom",
    "_phone": "Phone",
    "_plannerCode": "Planner Code",
    "_plannerCodes": "Planner Codes",
    "_planning": "Planning",
    "_pleaseLogin": "Please Login",
    "_policy": "Policy",
    "_post": "Post",
    "_postbooks": "PostBooks",
    "_posted": "Posted",
    "_predecessors": "Predecessors",
    "_price": "Price",
    "_priceMode": "Price Mode",
    "_priceUnit": "Price UOM",
    "_priceUnitRatio": "Price Unit Ratio",
    "_primaryContact": "Primary Contact",
    "_primaryEmail": "Primary Email",
    "_printed": "Printed",
    "_priority": "Priority",
    "_priorities": "Priorities",
    "_privilege": "Privilege",
    "_privileges": "Privileges",
    "_probability": "Probability",
    "_productCategories": "Product Categories",
    "_productCategory": "Product Category",
    "_product": "Product",
    "_products": "Products",
    "_profit": "Profit",
    "_project": "Project",
    "_projects": "Projects",
    "_promiseDate": "Promised Date",
    "_properName": "Proper Name",
    "_propername": "Propername",
    "_prospect": "Prospect",
    "_prospects": "Prospects",
    "_proximo": "Proximo",
    "_public": "Public",
    "_purchaseOrderDate": "Purchased",
    "_purchased": "Purchased",
    "_purchaseOrderNumber": "Purchase Order",
    "_qualifier": "Qualifier",
    "_quantity": "Quantity",
    "_quantityAfter": "Quantity After",
    "_quantityBefore": "Quantity Before",
    "_quantityOrd": "Qty Ordered",
    "_quantityUnit": "Qty UOM",
    "_quantityUnitRatio": "Qty Unit Ratio",
    "_quantityShip": "Qty Shipped",
    "_quote": "Quote",
    "_quoteDate": "Quote Date",
    "_quoteLine": "Quote Line",
    "_quotes": "Quotes",
    "_purchaseOrder": "Purchase Order",
    "_regular": "Regular",
    "_reasonCode": "Reason Code",
    "_reasonCodes": "Reason Codes",
    "_recurrences": "Recurrences",
    "_recurring": "Recurring",
    "_reEnterPassword": "Re-Enter Password",
    "_reference": "Reference",
    "_relationships": "Relationships",
    "_replyTo": "Reply To",
    "_requireCCV": "Require CCV",
    "_required": "Required",
    "_resolution": "Resolution",
    "_return": "Return",
    "_roles": "Roles",
    "_salesEmailProfile": "Sales Email Profile",
    "_salesEmailProfiles": "Sales Email Profiles",
    "_salesOrder": "Sales Order",
    "_salesOrders": "Sales Orders",
    "_salesOrderDate": "Sales Order Date",
    "_salesOrderLine": "Sales Order Line",
    "_salesOrderWorkflow": "Sales Order Workflow",
    "_salesRep": "Sales Rep",
    "_salesReps": "Sales Reps",
    "_saleType": "Sale Type",
    "_saleTypes": "Sale Types",
    "_schedule": "Schedule",
    "_scheduled": "Scheduled",
    "_schedDate": "Schedule Date",
    "_scheduleDate": "Schedule Date",
    "_secondaryContact": "Secondary Contact",
    "_selectOrganization": "Select Organization",
    "_sense": "Sense",
    "_sequence": "Sequence",
    "_series": "Series",
    "_sessionTimedOut": "Your session has timed out",
    "_settings": "Settings",
    "_setup": "Setup",
    "_severity": "Severity",
    "_shared": "Shared",
    "_shift": "Shift",
    "_shifts": "Shifts",
    "_shipping": "Shipping",
    "_shipCharge": "Shipping Charges",
    "_shipComplete": "Ship Complete",
    "_shipForm": "Shipping Form",
    "_shipVia": "Ship Via",
    "_shipVias": "Ship Vias",
    "_shipTo": "Ship To",
    "_shiptoAddress1": "Ship To Address",
    "_shiptoName": "Ship To Name",
    "_shiptoPhone": "Ship To Phone",
    "_shipZone": "Ship Zone",
    "_shipZones": "Ship Zones",
    "_shippingNotes": "Shipping Notes",
    "_site": "Site",
    "_siteCode": "Site Code",
    "_siteType": "Site Type",
    "_siteTypes": "Site Types",
    "_sites": "Sites",
    "_show": "Show",
    "_showClosed": "Show Closed",
    "_showCompleted": "Show Complete",
    "_showCompletedOnly": "Show Complete Only",
    "_showExpired": "Show Expired",
    "_showInactive": "Show Inactive",
    "_showOnlyTopLevel": "Show Only Top Level",
    "_showPosted": "Show Posted",
    "_showUnposted": "Show Unposted",
    "_showUnReleased": "Show Unreleased",
    "_showVoided": "Show Voided",
    "_sold": "Sold",
    "_soldRanking": "Sold Ranking",
    "_source": "Source",
    "_sourceType": "Source Type",
    "_stage": "Stage",
    "_standardCost": "Standard Cost",
    "_start": "Start",
    "_startDate": "Start Date",
    "_states": "States",
    "_status": "Status",
    "_string": "String",
    "_subject": "Subject",
    "_subtotal": "Subtotal",
    "_suffix": "Suffix",
    "_summary": "Summary",
    "_successors": "Successors",
    "_symbol": "Symbol",
    "_system": "System",
    "_target": "Target",
    "_targetClose": "Target Close",
    "_targetType": "Target Type",
    "_task": "Task",
    "_tasks": "Tasks",
    "_tax": "Tax",
    "_taxAdjustments": "Tax Adjustments",
    "_taxCode": "Tax Code",
    "_taxes": "Taxes",
    "_taxType": "Tax Type",
    "_taxAssignment": "Tax Assignment",
    "_taxAuthority": "Tax Authority",
    "_taxClass": "Tax Class",
    "_taxRate": "Tax Rate",
    "_taxRegistration": "Tax Registrations",
    "_taxZone": "Tax Zone",
    "_terms": "Terms",
    "_testMode": "Test Mode",
    "_text": "Text",
    "_time": "Time",
    "_timeFrame": "Time Frame",
    "_thisWeek": "This Week",
    "_thisMonth": "This Month",
    "_thisYear": "This Year",
    "_twoYears": "Two Years",
    "_to": "To",
    "_toDate": "To Date",
    "_toDo": "To Do",
    "_toDoRelations": "To Dos",
    "_toDoStatus": "To Do Status",
    "_toDos": "To Dos",
    "_tooling": "Tooling",
    "_total": "Total",
    "_totals": "Totals",
    "_toUnit": "To Unit",
    "_trace": "Lot/Serial",
    "_transactionDate": "Transaction Date",
    "_transactionType": "Transaction Type",
    "_transactionSuccessful": "Transaction Successful",
    "_trigger": "Trigger",
    "_type": "Type",
    "_unit": "Unit",
    "_unitPrice": "Net Unit Price",
    "_unitCosts": "Unit Costs",
    "_units": "Units",
    "_unitType": "Unit Type",
    "_unknown": "(unknown)",
    "_unitCost": "Unit Cost",
    "_unreleased": "Unreleased",
    "_unsupportedGateway": "Unsupported Gateway",
    "_uom": "UOM",
    "_updated": "Updated",
    "_updatedBy": "Updated By",
    "_url": "Link",
    "_urls": "Links",
    "_useDescription": "Use Description",
    "_useEnhancedAuth": "Use Enhanced Authentication",
    "_user": "User",
    "_userAccount": "User Account",
    "_userAccounts": "User Accounts",
    "_userAccountRole": "User Account Role",
    "_userAccountRoles": "User Account Roles",
    "_username": "Username",
    "_userPreference": "User Preference",
    "_userPreferences": "User Preferences",
    "_usesPurchaseOrders": "Uses Purchase Orders",
    "_validator": "Validator",
    "_value": "Value",
    "_valueAfter": "Value After",
    "_valueBefore": "Value Before",
    "_vendor": "Vendor",
    "_vendorType": "Vendor Type",
    "_version": "Version",
    "_visa": "Visa",
    "_voucher": "Voucher",
    "_wage": "Wage",
    "_wageType": "Wage Type",
    "_warningColor": "Warning Color",
    "_web": "Web",
    "_webAddress": "Web Address",
    "_welcome": "Welcome",
    "_wholesalePrice": "Wholesale Price",
    "_workflow": "Workflow",
    "_workflowType": "Workflow Type",
    "_workOrder": "Work Order",
    "_workOrders": "Work Orders",
    "_xtuplePostbooks": "PostBooks",
    "_yearExpired": "Expiration Year",

    // ********
    // Placeholders
    // ********

    "_noAssignedTo": "No Assigned To",
    "_noAccountName": "No Account Name",
    "_noAddress": "No Address",
    "_noAssignDate": "No Assign Date",
    "_noCategory": "No Category",
    "_noCloseTarget": "No Close Target",
    "_noCompleteDate": "No Complete Date",
    "_noContact": "No Contact",
    "_noDepartment": "No Department",
    "_noDueDate": "No Due Date",
    "_noEmail": "No Email",
    "_noExpiration": "No Expiration",
    "_noJobTitle": "No Job Title",
    "_noName": "No Name",
    "_noNumber": "No Number",
    "_noPhone": "No Phone",
    "_noPriority": "No Priority",
    "_noPurchaseOrder": "No Purchase Order Number",
    "_noSalesRep": "No Sales Rep",
    "_noSchedule": "No Schedule",
    "_noSeverity": "No Severity",
    "_noStage": "No Stage",
    "_noStartDate": "No Start Date",
    "_noStatus": "No Status",
    "_noTerms": "No Terms",
    "_noType": "No Type",
    "_void": "Void",

    // ********
    // Permissions
    // ********
    "_alterPackDate": "Alter Pack Date",
    "_alterTransactionDates": "Alter Transartion Dates",
    "_configureCC": "Configure Credit Cards",
    "_configureCRM": "Configure CRM",
    "_configureImportExport": "Configure Import Export",
    "_configurePM": "Configure Project",
    "_createAdjustmentTrans": "Create Adjustment Transactions",
    "_createExpenseTrans": "Create Expense Transactions",
    "_createNewCurrency": "Create New Currency",
    "_createReceiptTrans": "Create Receipt Transactions",
    "_createScrapTrans": "Create Scrap Transactions",
    "_createSOForHoldCustomer": "Create for Customers on Hold",
    "_createSOForWarnCustomer": "Create for Customers on Warn",
    "_deleteCountSlips": "Delete Count Slips",
    "_deleteCountTags": "Delete Count Tags",
    "_deleteItemMasters": "Delete Item Masters",
    "_deleteItemSites": "Delete Item Sites",
    "_editOthersComments": "Edit Others Comments",
    "_editOwnComments": "Edit Own Comments",
    "_editOwner": "Edit Owner",
    "_enterCountSlips": "Enter Count Slips",
    "_enterCountTags": "Enter Count Tags",
    "_enterMiscCounts": "Enter Miscellaneous Counts",
    "_enterReceipts": "Enter Receipts",
    "_enterReturns": "Enter Returns",
    "_enterShippingInformation": "Enter Shipping Information",
    "_firmSalesOrder": "Firm Sales Order Line",
    "_freezeInventory": "Freeze Inventory",
    "_issueStockToShipping": "Issue Stock to Shipping",
    "_maintainAddresses": "Maintain Addresses",
    "_maintainAllCRMAccounts": "Maintain All Accounts",
    "_maintainAllContacts": "Maintain All Contacts",
    "_maintainAllIncidents": "Maintain All Incidents",
    "_maintainAllOpportunities": "Maintain All Opportunities",
    "_maintainAllProjects": "Maintain All Projects",
    "_maintainAllToDoItems": "Maintain All To-Do Items",
    "_maintainBankAccounts": "Maintain Bank Accounts",
    "_maintainCharacteristics": "Maintain Characteristics",
    "_maintainClassCodes": "Maintain Class Codes",
    "_maintainCommentTypes": "Maintain Comment Types",
    "_maintainCostCategories": "Maintain Cost Categories",
    "_maintainCountries": "Maintain Countries",
    "_maintainCurrencies": "Maintain Currencies",
    "_maintainCurrencyRates": "Maintain Currency Rates",
    "_maintainCustomerGroups": "Maintain Customer Groups",
    "_maintainCustomerMasters": "Maintain Customers",
    "_maintainDepartments": "Maintain Departments",
    "_maintainEmployees": "Maintain Employees",
    "_maintainExtensions": "Maintain Extensions",
    "_maintainFreightClasses": "Maintain Freight Classes",
    "_maintainImages": "Maintain Images",
    "_maintainItemMasters": "Maintain Item Masters",
    "_maintainItemSites": "Maintain Item Sites",
    "_maintainLocations": "Maintain Locations",
    "_maintainPackingListBatch": "Maintain Packing List Batch",
    "_maintainProductCategories": "Maintain Product Categories",
    "_maintainQuotes": "Maintain Quotes",
    "_maintainReasonCodes": "Maintain Reason Codes",
    "_maintainSalesOrders": "Maintain Sales Orders",
    "_maintainSaleTypes": "Maintain Sale Types",
    "_maintainSalesReps": "Maintain Sales Reps",
    "_maintainSiteTypes": "Maintain Site Types",
    "_maintainShifts": "Maintain Shifts",
    "_maintainShipVias": "Maintain Ship Vias",
    "_maintainStates": "Maintain States",
    "_maintainUOMs": "Maintain Units of Measure",
    "_maintainUsers": "Maintain Users",
    "_maintainIncidentCategories": "Maintain Incident Categories",
    "_maintainIncidentPriorities": "Maintain Incident Priorities",
    "_maintainIncidentResolutions": "Maintain Incident Resolutions",
    "_maintainIncidentSeverities": "Maintain Incident Severities",
    "_maintainOpportunitySources": "Maintain Opportunity Sources",
    "_maintainOpportunityStages": "Maintain Opportunity Stages",
    "_maintainOpportunityTypes": "Maintain Opportunity Types",
    "_maintainPartners": "Maintain Partners",
    "_maintainPersonalCRMAccounts": "Maintain Personal Accounts",
    "_maintainPersonalContacts": "Maintain Personal Contacts",
    "_maintainPersonalIncidents": "Maintain Personal Incidents",
    "_maintainPersonalOpportunities": "Maintain Personal Opportunities",
    "_maintainPersonalProjects": "Maintain Personal Projects",
    "_maintainPersonalToDoItems": "Maintain Personal To-Do Items",
    "_maintainPreferencesSelf": "Maintain Personal Preferences",
    "_maintainTaxAssignments": "Maintain Tax Assignments",
    "_maintainTaxClasses": "Maintain Tax Classes",
    "_maintainTaxCodes": "MaintainTaxCodes",
    "_maintainTaxReconciliations": "Maintain Tax Reconciliations",
    "_maintainTaxRegistrations": "Maintain Tax Registrations",
    "_maintainTaxTypes": "Maintain Tax Types",
    "_maintainTaxZones": "Maintain Tax Zones",
    "_maintainTerms": "Maintain Terms ",
    "_maintainTitles": "Maintain Titles",
    "_maintainWarehouses": "Maintain Sites",
    "_overridePrice": "Override Price",
    "_overrideSODate": "Override Order Date",
    "_overrideTax": "Override Tax Type",
    "_reassignToDoItems": "Edit Assign To",
    "_recallInvoicedShipment": "Recall Invoiced Shipment",
    "_recallOrders": "Recall Orders",
    "_returnStockFromShipping": "Return Stock from Shipping",
    "_shipOrders": "Ship Orders",
    "_showMarginsOnSalesOrder": "Show Margins",
    "_updateCustomerCreditStatus": "Update Credit Status",
    "_viewAddresses": "View Addresses",
    "_viewAllCRMAccounts": "View All Accounts",
    "_viewAllContacts": "View All Contacts",
    "_viewAllIncidents": "View All Incidents",
    "_viewAllOpportunities": "View All Opportunities",
    "_viewAllProjects": "View All Projects",
    "_viewAllToDoItems": "View All To-Do Items",
    "_viewBankAccounts": "View Bank Accounts",
    "_viewCharacteristics": "View Characteristics",
    "_viewCostCategories": "View Cost Categories",
    "_viewCosts": "View Costs",
    "_viewClassCodes": "View Class Codes",
    "_viewCurrencyRates": "View Currency Rates",
    "_viewCustomerGroups": "View Customer Groups",
    "_viewCustomerMasters": "View Customers",
    "_viewDepartments": "View Departments",
    "_viewEmployees": "View Employees",
    "_viewFreightClasses": "View Freight Classes",
    "_viewInventoryHistory": "View Inventory History",
    "_viewInventoryValue": "View Inventory Value",
    "_viewItemMasters": "View Item Masters",
    "_viewItemSites": "View Item Sites",
    "_viewLocations": "View Locations",
    "_viewPackingListBatch": "View Packing List Batch",
    "_viewPersonalCRMAccounts": "View Personal Accounts",
    "_viewPersonalContacts": "View Personal Contacts",
    "_viewPersonalIncidents": "View Personal Incidents",
    "_viewPersonalOpportunities": "View Personal Opportunities",
    "_viewPersonalProjects": "View Personal Projects",
    "_viewPersonalToDoItems": "View Personal To-Do Items",
    "_viewProductCategories": "View Product Categories",
    "_viewQOH": "View Quantity on Hand",
    "_viewQuotes": "View Quotes",
    "_viewSaleTypes": "View Sale Types",
    "_viewSalesOrders": "View Sales Orders",
    "_viewSalesReps": "View Sales Reps",
    "_viewShipping": "View Shipping",
    "_viewSiteTypes": "View Site Types",
    "_viewTaxAssignments": "View Tax Assignments",
    "_viewTaxClasses": "View Tax Classes",
    "_viewTaxCodes": "View Tax Codes",
    "_viewTaxReconciliations": "View Tax Reconciliations",
    "_viewTaxRegistrations": "View Tax Registrations",
    "_viewTaxTypes": "View Tax Types",
    "_viewTaxZones": "View Tax Zones",
    "_viewTerms": "View Terms",
    "_viewUOMs": "View Units of Measure",
    "_viewTitles": "View Honorifics",
    "_viewWarehouses": "View Sites",

    // ********
    // Messages
    // ********

    "_accountExists": "This number is currently assigned to an Account.",
    "_automaticFreight": "Manually clearing the freight will enable automatic " +
      "Freight recalculations.",
    "_continue?": " Do you want to continue?",
    "_convertAccount": "Convert this Account to a Customer?",
    "_convertAccountEmployee": "Convert this Account to an Employee?",
    "_convertAccountProspect": "Convert this Account to a Prospect?",
    "_convertAccountSalesRep": "Convert this Account to a SalesRep?",
    "_convertAccountTaxAuthority": "Convert this Account to a Tax Authority?",
    "_convertProspect": "Convert this Prospect to a Customer?",
    "_copyCharacteristics?": "Would you like to over-write the existing characteristics " +
      "with the profile for this selection?",
    "_copyWorkflow?": "Would you like to over-write the existing workflow with the " +
      "profile for this selection?",
    "_creditWarn": "This customer is on credit warn.",
    "_creditHold": "This customer is on credit hold.",
    "_customerExists": "A customer with this number already exists.",
    "_customerOrProspect": "Would you like to create a new Customer or a new Prospect?",
    "_exitPageWarning": "You are about to leave the xTuple application.",
    "_manualFreight": "Manually editing the freight will disable automatic freight recalculations.",
    "_mustSave": "You must save your changes before proceeding.",
    "_noPriceFound": "This item is marked as exclusive and no qualifying price was found.",
    "_noPurchase": "This item may not be purchased in this date. Please select " +
      "another date or item.",
    "_noReschedule": "No Items can be rescheduled because there are no valid price " +
      "schedules for the date entered.",
    "_partialReschedule": "Some exclusive items may not be rescheduled because there is no " +
      "valid price schedule for the date entered.",
    "_prospectExists": "This number is currently assigned to a Prospect.",
    "_recalculateAll?": "Do you want to recalculate all prices line items, taxes, and freight ?",
    "_rescheduleAll": "Changing this date will update the Schedule Date on all " +
      "editable line items.",
    "_updateFractional": "The quantity ordered and unit of measure selected will result in a " +
      "fractional inventory qty for this item. This item does not allow fractional quantities; " +
      "the quantity will be updated accordingly.",
    "_updatePrice?": "You have changed the price basis, do you want to update the Price?",
    "_whatToDo": "What would you like to do?"
  });

  if (typeof exports !== 'undefined') {
    exports.language = lang;
  }
}());
