var exec = require("child_process").exec;

function getStrings () {

  var allStrings = {

    // ********
    // Labels
    // ********

    "_abbreviation": "Abbreviation",
    "_abbreviationLong": "Abbreviation Long",
    "_abbreviationShort": "Abbreviation Short",
    "_account": "Account",
    "_accountNumber": "Account Number",
    "_accountNumberGeneration": "Account Number Generation",
    "_accountType": "Account Type",
    "_accounts": "Accounts",
    "_active": "Active",
    "_actual": "Actual",
    "_actualClose": "Actual Close",
    "_actualExpenses": "Actual Expenses",
    "_actualExpensesTotal": "Total Expenses Actual",
    "_actualHours": "Actual Hours",
    "_actualHoursTotal": "Total Hours Actual",
    "_additional": "Additional",
    "_address": "Address",
    "_address1": "Address1",
    "_address2": "Address2",
    "_addressCharacteristic": "Address Characteristic",
    "_addressComment": "Address Comment",
    "_advancedSearch": "Advanced Search",
    "_alarms": "Alarms",
    "_altEmphasisColor": "Alt Emphasis Color",
    "_alternate": "Alternate",
    "_alternateAddresses": "Alternate Addresses",
    "_amount": "Amount",
    "_apply": "Apply",
    "_array": "Array",
    "_assignDate": "Assign Date",
    "_assigned": "Assigned",
    "_assignedTo": "Assigned To",
    "_automatic": "Automatic",
    "_automaticAllowOverride": "Automatic Allow Override",
    "_back": "Back",
    "_balance": "Balance",
    "_balanceExpensesTotal": "Balance Expenses Total",
    "_balanceHoursTotal": "Balance Hours Total",
    "_boolean": "Boolean",
    "_budgeted": "Budgeted",
    "_budgetedExpenses": "Budgeted Expenses",
    "_budgetedExpensesTotal": "Total Expenses Budgeted",
    "_budgetedHours": "Budgeted Hours",
    "_budgetedHoursTotal": "Total Hours Budgeted",
    "_canCreateUsers": "Can Create Users",
    "_cancel": "Cancel",
    "_category": "Category",
    "_characteristic": "Characteristic",
    "_characteristicType": "Characteristic Type",
    "_characteristicOption": "Characteristic Option",
    "_characteristics": "Characteristics",
    "_child": "Child",
    "_city": "City",
    "_classCode": "Class Code",
    "_closeDate": "Close Date",
    "_closed": "Closed",
    "_code": "Code",
    "_commentType": "Comment Type",
    "_comments": "Comments",
    "_completed": "Completed",
    "_commentsEditable": "Comments Editable",
    "_company": "Company",
    "_completeDate": "Complete Date",
    "_concept": "Concept",
    "_confirmed": "Confirmed",
    "_contact": "Contact",
    "_contactRelations": "Contacts",
    "_contacts": "Contacts",
    "_countries": "Countries",
    "_country": "Country",
    "_created": "Created",
    "_createdBy": "Created By",
    "_crm": "CRM",
    "_crmSetup": "CRM Setup",
    "_currency": "Currency",
    "_currencyAbbreviation": "Currency Abbreviation",
    "_currencyName": "Currency Name",
    "_currencyNumber": "Currency Number",
    "_currencySymbol": "Currency Symbol",
    "_dashboard": "Dashboard",
    "_data": "Data",
    "_dataState": "Data State",
    "_date": "Date",
    "_deactivate": "Deactivate",
    "_deferred": "Deferred",
    "_delete": "Delete",
    "_description": "Description",
    "_description1": "Description1",
    "_description2": "Description2",
    "_discard": "Discard",
    "_disableExport": "Disable Export",
    "_document": "Document",
    "_documentDate": "Document Date",
    "_documentNumber": "Document #",
    "_documentType": "Document Type",
    "_dueDate": "Due Date",
    "_dueDays": "Due Days",
    "_duplicate": "Duplicate",
    "_effective": "Effective",
    "_email": "Email",
    "_emphasisColor": "Emphasis Color",
    "_enabled": "Enabled?",
    "_end": "End",
    "_endBalance": "End Balance",
    "_endDate": "End Date",
    "_ending": "Ending",
    "_endingLabel": "Ending Label",
    "_error": "Error",
    "_errorColor": "Error Color",
    "_eventRecipient": "Event Recipient",
    "_expiredColor": "Expired Color",
    "_expires": "Expires",
    "_extended": "Extended",
    "_extendedDescription": "Extended Description",
    "_extendedPriceScale": "Extended Price Scale",
    "_externalReference": "External Reference",
    "_fax": "Fax",
    "_feedback": "Feedback",
    "_file": "File",
    "_files": "Files",
    "_filter": "Filter",
    "_firstName": "First Name",
    "_for": "For",
    "_fractional": "Fractional",
    "_frequency": "Frequency",
    "_futureColor": "Future Color",
    "_grantedPrivileges": "Granted Privileges",
    "_grantedUserAccountRoles": "Granted User Account Roles",
    "_groupSequence": "Group Sequence",
    "_groups": "Groups",
    "_history": "History",
    "_home": "Home",
    "_honorific": "Honorific",
    "_honorifics": "Honorifics",
    "_hours": "Hours",
    "_hrs": "hrs.",
    "_image": "Image",
    "_images": "Images",
    "_incident": "Incident",
    "_incidentRelations": "Incidents",
    "_incidents": "Incidents",
    "_incidentCategories": "Incident Categories",
    "_incidentCategory": "Incident Category",
    "_incidentResolution": "Incident Resolution",
    "_incidentResolutions": "Incident Resolutions",
    "_incidentSeverities": "Incident Severities",
    "_incidentSeverity": "Incident Severity",
    "_incidentStatus": "Status",
    "_incidentNumberGeneration": "Incident Number Generation",
    "_incidentsPublicByDefault": "Incidents public by default",
    "_incidentsShowPublicCheckbox": "Incidents show public checkbox",
    "_individual": "Individual",
    "_information": "Information",
    "_initials": "Initials",
    "_inProcess": "In Process",
    "_inventoryUnit": "Inventory Unit",
    "_isActive": "Active",
    "_isAddresses": "Addresses",
    "_isBase": "Base",
    "_isContacts": "Contacts",
    "_isDefault": "Default",
    "_isDeleted": "Deleted",
    "_isEvent": "Event",
    "_isFractional": "Fractional",
    "_isIncidents": "Incidents",
    "_isItemWeight": "Item Weight",
    "_isItems": "Items",
    "_isMessage": "Message",
    "_isOpen": "Open",
    "_isOpportunities": "Opportunities",
    "_isPosted": "Posted",
    "_isPrinted": "Printed",
    "_isPublic": "Public",
    "_isSold": "Sold",
    "_item": "Item",
    "_itemConversion": "Item Conversion",
    "_itemNumber": "Item Number",
    "_itemUnitConversion": "Item Unit Conversion",
    "_itemUnitType": "Item Unit Type",
    "_items": "Items",
    "_jobTitle": "Job Title",
    "_language": "Language",
    "_lastName": "Last Name",
    "_line1": "Line1",
    "_line2": "Line2",
    "_line3": "Line3",
    "_lineNumber": "Line Number",
    "_lines": "Lines",
    "_listPrice": "List Price",
    "_locale": "Locale",
    "_logout": "Logout",
    "_mainAddress": "Main Address",
    "_manual": "Manual",
    "_mask": "Mask",
    "_maximum": "Maximum",
    "_menu": "Menu",
    "_messageRecipient": "Message Recipient",
    "_middleName": "Middle Name",
    "_module": "Module",
    "_monthExpire": "Month Expire",
    "_multiple": "Multiple",
    "_name": "Name",
    "_neither": "Neither",
    "_new": "New",
    "_nextNumber": "Next #",
    "_nextCheckNumber": "Next Check Number",
    "_none": "None",
    "_notes": "Notes",
    "_number": "Number",
    "_object": "Object",
    "_offset": "Offset",
    "_ok": "Ok",
    "_other": "Other",
    "_openBalance": "Open Balance",
    "_openDate": "Open Date",
    "_opportunities": "Opportunities",
    "_opportunity": "Opportunity",
    "_opportunityChangeLog": "Post Opportunity changes to Change Log",
    "_opportunityRelations": "Opportunities",
    "_opportunitySource": "Opportunity Source",
    "_opportunitySources": "Opportunity Sources",
    "_opportunityStage": "Opportunity Stage",
    "_opportunityStages": "Opportunity Stages",
    "_opportunityType": "Opportunity Type",
    "_opportunityTypes": "Opportunity Types",
    "_open": "Open",
    "_options": "Options",
    "_order": "Order",
    "_orderDate": "Order Date",
    "_orderNumber": "Order Number",
    "_ordered": "Ordered",
    "_organization": "Organization",
    "_owner": "Owner",
    "_overview": "Overview",
    "_paid": "Paid",
    "_parent": "Parent",
    "_password": "Password",
    "_path": "Path",
    "_pending": "Pending",
    "_percent": "Percent",
    "_period": "Period",
    "_phone": "Phone",
    "_postalCode": "Postal Code",
    "_price": "Price",
    "_priceUnit": "Price Unit",
    "_priceUnitRatio": "Price Unit Ratio",
    "_primaryContact": "Primary Contact",
    "_primaryEmail": "Primary Email",
    "_printed": "Printed",
    "_priority": "Priority",
    "_priorities": "Priorities",
    "_privilege": "Privilege",
    "_privileges": "Privileges",
    "_probability": "Probability",
    "_productCategory": "Product Category",
    "_profitCenter": "Profit Center",
    "_project": "Project",
    "_projectAssignedTo": "Project Assigned To",
    "_projectOwner": "Project Owner",
    "_projectRelations": "Projects",
    "_projectStatus": "Project Status",
    "_projectTask": "Project Task",
    "_projectTaskStatus": "Project Task Status",
    "_projects": "Projects",
    "_properName": "Proper Name",
    "_propername": "Propername",
    "_purchaseOrderNumber": "Purchase Order",
    "_purpose": "Purpose",
    "_required": "Required",
    "_resolved": "Resolved",
    "_qualifier": "Qualifier",
    "_quantity": "Quantity",
    "_recurrences": "Recurrences",
    "_recurring": "Recurring",
    "_reference": "Reference",
    "_refresh": "Refresh",
    "_relatedTo": "Related To",
    "_relationships": "Relationships",
    "_resolution": "Resolution",
    "_save": "Save",
    "_saveAndNew": "Save and New",
    "_schedule": "Schedule",
    "_search": "Search",
    "_secondaryContact": "Secondary Contact",
    "_sense": "Sense",
    "_series": "Series",
    "_setup": "Setup",
    "_severity": "Severity",
    "_showCompleted": "Show Complete",
    "_showCompletedOnly": "Show Complete Only",
    "_showInactive": "Show Inactive",
    "_source": "Source",
    "_sourceType": "Source Type",
    "_stage": "Stage",
    "_start": "Start",
    "_startDate": "Start Date",
    "_state": "State",
    "_states": "States",
    "_status": "Status",
    "_street": "Street",
    "_string": "String",
    "_suffix": "Suffix",
    "_summary": "Summary",
    "_symbol": "Symbol",
    "_target": "Target",
    "_targetClose": "Target Close",
    "_targetType": "Target Type",
    "_tasks": "Tasks",
    "_taxAuthority": "Tax Authority",
    "_text": "Text",
    "_time": "Time",
    "_toDo": "To Do",
    "_toDoRelations": "To Dos",
    "_toDoStatus": "To Do Status",
    "_toDos": "To Dos",
    "_total": "Total",
    "_totals": "Totals",
    "_toUnit": "To Unit",
    "_trigger": "Trigger",
    "_type": "Type",
    "_unit": "Unit",
    "_unitType": "Unit Type",
    "_unknown": "(unknown)",
    "_updated": "Updated",
    "_updatedBy": "Updated By",
    "_url": "Url",
    "_urls": "Urls",
    "_useDescription": "Use Description",
    "_userAccount": "User Account",
    "_userAccounts": "User Accounts",
    "_userAccountRole": "User Account Role",
    "_userAccountRoles": "User Account Roles",
    "_username": "Username",
    "_validator": "Validator",
    "_value": "Value",
    "_warningColor": "Warning Color",
    "_webAddress": "Web Address",
    "_welcome": "Welcome",
    "_xtuplePostbooks": "PostBooks",

    // ********
    // Messages
    // ********

    "_addressShared": "There are multiple records sharing this Address.",
    "_assignedToRequiredAssigned": "Assigned to is required when status is 'Assigned'",
    "_attributeIsRequired": "{attr} is required.",
    "_attributeTypeMismatch": "The value of '{attr}' must be type: {type}.",
    "_attributeNotInSchema": "'{attr}' does not exist in the schema.",
    "_attributeReadOnly": "Can not edit read only attribute(s).",
    "_canNotUpdate": "Insufficient privileges to edit the record.",
    "_changeAll": "Change All",
    "_changeOne": "Change only this one",
    "_characteristicContextRequired": "You must set at least one characteristic context to true.",
    "_datasourceError": "Data source error: {error}",
    "_duplicateValues": "Duplicate values are not allowed.",
    "_lengthInvalid": "Length of {attr} must be {length}.",
    "_logoutConfirmation": "Are you sure you want to log out?",
    "_nameRequired": "A name is required.",
    "_noAccountName": "No Account Name",
    "_noCategory": "No Category",
    "_noCloseTarget": "No Close Target",
    "_noContact": "No Contact",
    "_noDescription": "No Description",
    "_noEmail": "No Email",
    "_noJobTitle": "No Job Title",
    "_noName": "No Name",
    "_noNumber": "No Number",
    "_noPhone": "No Phone",
    "_noPriority": "No Priority",
    "_noSalesRep": "No Sales Rep",
    "_noSeverity": "No Severity",
    "_noStage": "No Stage",
    "_noTerms": "No Terms",
    "_noType": "No Type",
    "_productCategoryRequiredOnSold": "A Product Category is required for sold items.",
    "_recordNotFound": "Record not found.",
    "_recordStatusNotEditable": "Record with status of `{status}` is not editable.",
    "_recursiveParentDisallowed": "Record is not allowed to reference itself as the parent.",
    "_unsavedChanges": "You have unsaved changes. Do you want to save your work?",
    "_valueExists": "Record with {attr} of '{value}' already exists.",
    "_whatToDo": "What would you like to do?"

  };

  return allStrings;
}

exports.getStrings = getStrings;
